com.io7m.r2.core

## Interface R2RenderTargetUsableType<D extends R2RenderTargetDescriptionType>

- Type Parameters:
    `D` - The precise type of render target description used to produce render targets of this type
  All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceSizedType, com.io7m.jcanephora.core.JCGLResourceUsableType
  All Known Subinterfaces:
    R2AmbientOcclusionBufferType, R2AmbientOcclusionBufferUsableType, R2DepthOnlyBufferType, R2DepthOnlyBufferUsableType, R2DepthVarianceBufferType, R2DepthVarianceBufferUsableType, R2GeometryBufferType, R2GeometryBufferUsableType, R2ImageBufferType, R2ImageBufferUsableType, R2LightBufferDiffuseOnlyUsableType, R2LightBufferDiffuseSpecularUsableType, R2LightBufferSpecularOnlyUsableType, R2LightBufferType, R2LightBufferUsableType, R2MaskBufferType, R2MaskBufferUsableType, R2RenderTargetType<D>
  All Known Implementing Classes:
    R2AmbientOcclusionBuffer, R2DepthOnlyBuffer, R2DepthVarianceBuffer, R2GeometryBuffer, R2ImageBuffer, R2MaskBuffer

      public interface R2RenderTargetUsableType<D extends R2RenderTargetDescriptionType>
      extends com.io7m.jcanephora.core.JCGLResourceUsableType, com.io7m.jcanephora.core.JCGLResourceSizedType

  The type of usable render targets.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `area()`
    `void` | `clearBoundPrimaryFramebuffer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Clear the primary framebuffer to render target specific default values, changing any current render state necessary to achieve this.
    `D` | `description()`
    `com.io7m.jcanephora.core.JCGLFramebufferUsableType` | `primaryFramebuffer()`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceSizedType

      `getRange`

- - ### Method Detail

    - #### primaryFramebuffer

          com.io7m.jcanephora.core.JCGLFramebufferUsableType primaryFramebuffer()

      Returns:
        The framebuffer

    - #### area

          com.io7m.jareas.core.AreaInclusiveUnsignedLType area()

      Returns:
        The viewport area

    - #### description

          D description()

      Returns:
        The description used to create the render target

    - #### clearBoundPrimaryFramebuffer

          void clearBoundPrimaryFramebuffer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                                     throws R2RendererExceptionFramebufferNotBound

      Clear the primary framebuffer to render target specific default values, changing any current render state necessary to achieve this.
      Parameters:
        `g` - A GL interface
      Throws:
        `R2RendererExceptionFramebufferNotBound` - If the framebuffer is not bound

Copyright © 2017 <code@io7m.com> http://io7m.com